servicemix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bruce Snyder" <bruce.sny...@gmail.com>
Subject Re: Building SMX3 Trunk version fails at CXF BC
Date Thu, 14 Feb 2008 16:57:03 GMT
On Sun, Feb 10, 2008 at 2:23 AM, Gert Vanthienen
<gert.vanthienen@skynet.be> wrote:
> Lars,
>
>
>  This error occurs if you're using Java 6 to build ServiceMix.  Update 4
>  of this JDK ships with JAX-WS 2.1, but earlier versions include JAX-WS
>  2.0, resulting in this exception.  If you can upgrade to your JDK _04 or
>  above, this will solve your problem.  On any other version of Java 6,
>  the solution would be to copy the JAXB 2.1 API jar files (jaxb-api.jar
>  or  jaxws-api.jar) to the <java_home>/lib/endorsed folder.

Gert, could you please create a FAQ on the wiki for this question? It
seems like others will eventually run into this issue.

Bruce
-- 
perl -e 'print unpack("u30","D0G)U8V4\@4VYY9&5R\"F)R=6-E+G-N>61E<D\!G;6%I;\"YC;VT*"
);'

Apache ActiveMQ - http://activemq.org/
Apache Camel - http://activemq.org/camel/
Apache ServiceMix - http://servicemix.org/
Apache Geronimo - http://geronimo.apache.org/

Blog: http://bruceblog.org/

Mime
View raw message